package com.skica.spvbpisvsportalbackend;

import org.hibernate.SessionFactory;

import java.util.List;

public class Common {
    static public <E> List<E> getEntities(SessionFactory sessionFactory, Class<E> c) {
        try (var session = sessionFactory.openSession()) {
            var query = session.getCriteriaBuilder().createQuery(c);
            query.select(query.from(c));

            return session.createQuery(query).getResultList();
        }
    }
}
