package com.skica.spvbpisvsportalbackend.entity.business;

import com.skica.spvbpisvsportalbackend.enums.BasicProtectionLevel;
import com.skica.spvbpisvsportalbackend.enums.BasicProtectionValue;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;

@Entity
public class DescribedProtection {
    @Id
    public BasicProtectionValue value;
    public BasicProtectionLevel level;
    public String description;

    public DescribedProtection() {}
    public DescribedProtection(BasicProtectionValue value) {
        this.value = value;
    }

    public DescribedProtection(BasicProtectionValue value, BasicProtectionLevel level, String description) {
        this.value = value;
        this.level = level;
        this.description = description;
    }

    public BasicProtectionValue getValue() {
        return value;
    }

    public void setValue(BasicProtectionValue value) {
        this.value = value;
    }

    public BasicProtectionLevel getLevel() {
        return level;
    }

    public void setLevel(BasicProtectionLevel level) {
        this.level = level;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
