package com.skica.spvbpisvsportalbackend.enums;

public enum RiskLevel {
    LOW("nízka", "success"),
    MEDIUM("stredná", "warning"),
    HIGH("vysoká", "danger");

    public String reading;
    public String bootstrapAlertClass;
    RiskLevel(String reading, String bootstrapAlertClass) {
        this.reading = reading;
        this.bootstrapAlertClass = bootstrapAlertClass;
    }

    @Override
    public String toString() {
        return reading;
    }

    public String getBootstrapAlertClass() {
        return bootstrapAlertClass;
    }
}
