package com.skica.spvbpisvsportalbackend.enums;

public enum SecurityPrinciple {
    WORK_ONLY_DIKT_AND_INFORMATION("používateľ môže používať informácie, d-IKT a iné zdroje organizácie len na pracovné účely"),
    USER_UNIQUE_IDENTITY("každý používateľ systému má priradenú jednoznačnú identitu"),
    USER_IDENTIFICATION_AND_AUTHENTIFICATION("pred prístupom do systému sa používatelia musia identifikovať a autentifikovať"),
    WHAT_IS_NOT_PERMITTED_IS_FORBIDDEN("čo nie je povolené, to je zakázané"),
    WHAT_IS_NOT_FORBIDDEN_IS_PERMITTED("čo nie je zakázané, to je povolené"),
    LEAST_PRIVILEGE("princíp najnižších oprávnení"),
    NEED_TO_KNOW("princíp potreby vedieť"),
    NEED_TO_USE("princíp potreby používať"),
    FOUR_EYES("princíp štyroch očí"),
    SEPARATION_OF_CONCERNS("činnosti, ktoré sú v konflikte záujmov, nemôže vykonávať jedna osoba");

    public String reading;
    SecurityPrinciple(String reading) {
        this.reading = reading;
    }

    @Override
    public String toString() {
        return reading;
    }

    public String getReading() {
        return reading;
    }
}
