package com.skica.spvbpisvsportalbackend;

import com.skica.spvbpisvsportalbackend.entity.unused.Employee;
import com.skica.spvbpisvsportalbackend.entity.unused.Role;
import jakarta.persistence.EntityManager;
import jakarta.persistence.EntityManagerFactory;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.Set;

@SpringBootTest
class RoleTest {

    @Autowired
    EntityManagerFactory emf;
        @Test
        public void testOneToOneRelationship() {
            EntityManager em = emf.createEntityManager();

            Role role = new Role();
            role.name = "Test role";
            role.employees = Set.of(new Employee());

            em.getTransaction().begin();

            em.persist(role);
            em.getTransaction().commit();
            em.clear();

            Role f = em.find(Role.class, role.id);
            System.out.println(f.employees);
            em.close();
            emf.close();
        }

}
