package com.skica.spvbpisvsportalbackend;

import org.springframework.beans.factory.InitializingBean;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class DictionaryProvider implements InitializingBean {


    public static class DictionaryTerm {
        public String name;
        public String definition;
    }
    public List<DictionaryTerm> dictionaryTerms;

    @Override
    public void afterPropertiesSet() throws Exception {
        dictionaryTerms = new ArrayList<>();

        var asset = new DictionaryTerm();
        asset.name = "Aktívum";
        asset.definition = "Aktívum je aktívum";
        dictionaryTerms.add(asset);

        var system = new DictionaryTerm();
        system.name = "Systém";
        system.definition = "Systém nie je aktívum";
        dictionaryTerms.add(system);
    }
}
