package com.skica.spvbpisvsportalbackend.entity.isms;

import com.skica.spvbpisvsportalbackend.enums.OrganisationalLeadershipStatus;
import jakarta.persistence.Embeddable;

import java.util.List;

@Embeddable
public class FormalData{
    String statutory;
    OrganisationalLeadershipStatus organizationalLeadershipStatus;
    String managingAuthority;
    String documentsRelease;
    List<String> documentsKIB;

    String responsibleForEconomy;
    String responsibleForBuildingAdministration;
    String responsibleForIT;
    String responsibleForLegalAgenda;
    String responsibleForPersonalAgenda;
    String responsibleForProtectionOfPersonalData;
    String responsibleForControl;

    public String getStatutory() {
        return statutory;
    }

    public void setStatutory(String statutory) {
        this.statutory = statutory;
    }

    public OrganisationalLeadershipStatus getOrganizationalLeadershipStatus() {
        return organizationalLeadershipStatus;
    }

    public void setOrganizationalLeadershipStatus(OrganisationalLeadershipStatus organizationalLeadershipStatus) {
        this.organizationalLeadershipStatus = organizationalLeadershipStatus;
    }

    public String getManagingAuthority() {
        return managingAuthority;
    }

    public void setManagingAuthority(String managingStatus) {
        this.managingAuthority = managingStatus;
    }

    public String getDocumentsRelease() {
        return documentsRelease;
    }

    public void setDocumentsRelease(String documentsRelease) {
        this.documentsRelease = documentsRelease;
    }

    public List<String> getDocumentsKIB() {
        return documentsKIB;
    }

    public void setDocumentsKIB(List<String> documentsKIB) {
        this.documentsKIB = documentsKIB;
    }

    public String getResponsibleForEconomy() {
        return responsibleForEconomy;
    }

    public void setResponsibleForEconomy(String responsibleForEconomy) {
        this.responsibleForEconomy = responsibleForEconomy;
    }

    public String getResponsibleForBuildingAdministration() {
        return responsibleForBuildingAdministration;
    }

    public void setResponsibleForBuildingAdministration(String responsibleForBuildingAdministration) {
        this.responsibleForBuildingAdministration = responsibleForBuildingAdministration;
    }

    public String getResponsibleForIT() {
        return responsibleForIT;
    }

    public void setResponsibleForIT(String responsibleForIT) {
        this.responsibleForIT = responsibleForIT;
    }

    public String getResponsibleForLegalAgenda() {
        return responsibleForLegalAgenda;
    }

    public void setResponsibleForLegalAgenda(String responsibleForLegalAgenda) {
        this.responsibleForLegalAgenda = responsibleForLegalAgenda;
    }

    public String getResponsibleForPersonalAgenda() {
        return responsibleForPersonalAgenda;
    }

    public void setResponsibleForPersonalAgenda(String responsibleForPersonalAgenda) {
        this.responsibleForPersonalAgenda = responsibleForPersonalAgenda;
    }

    public String getResponsibleForProtectionOfPersonalData() {
        return responsibleForProtectionOfPersonalData;
    }

    public void setResponsibleForProtectionOfPersonalData(String responsibleForProtectionOfPersonalData) {
        this.responsibleForProtectionOfPersonalData = responsibleForProtectionOfPersonalData;
    }

    public String getResponsibleForControl() {
        return responsibleForControl;
    }

    public void setResponsibleForControl(String responsibleForControl) {
        this.responsibleForControl = responsibleForControl;
    }
}