package com.skica.spvbpisvsportalbackend.entity.isms;

import com.skica.spvbpisvsportalbackend.enums.BasicProtectionValue;
import com.skica.spvbpisvsportalbackend.generic.GenericEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;

import java.util.List;

@Entity
public class SecurityObjective extends GenericEntity {
    @Column(nullable = false)
    public String wording;

    public List<BasicProtectionValue> basicProtectionValues;

    public SecurityObjective() {}
    public SecurityObjective(String wording, List<BasicProtectionValue> basicProtectionValues) {
        this.wording = wording;
        this.basicProtectionValues = basicProtectionValues;
    }

    public String getWording() {
        return wording;
    }

    public void setWording(String wording) {
        this.wording = wording;
    }

    public List<BasicProtectionValue> getBasicProtectionValues() {
        return basicProtectionValues;
    }

    public void setBasicProtectionValues(List<BasicProtectionValue> basicProtectionValues) {
        this.basicProtectionValues = basicProtectionValues;
    }
}
