package com.skica.spvbpisvsportalbackend.entity.unused;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.skica.spvbpisvsportalbackend.generic.GenericEntity;
import jakarta.persistence.*;

import java.util.Set;

@Entity
@Table(name = "employee")
public class Employee extends GenericEntity {

    @Column(nullable = false)
    public String firstName;
    @Column(nullable = false)
    public String lastName;

    @JsonIgnoreProperties("employees")
    @ManyToMany(fetch = FetchType.EAGER)
    @JoinTable(name = "employee_role",
            joinColumns = @JoinColumn(name = "employeeId"),
            inverseJoinColumns = @JoinColumn(name = "roleId"))
    public Set<Role> roles;

    /*
    @JsonIgnoreProperties("contact")
    @OneToMany(fetch = FetchType.EAGER, mappedBy = "contact")
    public Set<BusinessProcess> businessProcesses;
     */

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public Set<Role> getRoles() {
        return roles;
    }

    public void setRoles(Set<Role> roles) {
        this.roles = roles;
    }

    /*
    public Set<BusinessProcess> getBusinessProcesses() {
        return businessProcesses;
    }

    public void setBusinessProcesses(Set<BusinessProcess> businessProcesses) {
        this.businessProcesses = businessProcesses;
    }

     */
}
