package com.skica.spvbpisvsportalbackend.workflow.service;

import com.skica.spvbpisvsportalbackend.entity.isms.IsmsSetup;
import com.skica.spvbpisvsportalbackend.repository.IsmsSetupModelRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class IsmsSetupService {

    @Autowired
    private IsmsSetupModelRepository ismsSetupModelRepository;

    public IsmsSetup getIsmsSetupModel() {
        var ismsSetupModel =  ismsSetupModelRepository.findById(IsmsSetup.ID);
        if(ismsSetupModel.isEmpty())
            return new IsmsSetup();
        else
            return ismsSetupModel.get();
    }

    public void saveIsmsSetupModel(IsmsSetup ismsSetupModel) {
        ismsSetupModelRepository.save(ismsSetupModel);
    }
}
